BYTEORDER(3)

NAME
htonl, htons, ntohl, ntohs - convert values between host and network byte order

SYNOPSIS
#include <netinet/in.h>

unsigned long int htonl(unsigned long int hostlong);

unsigned short int htons(unsigned short int hostshort);

unsigned long int ntohl(unsigned long int netlong);

unsigned short int ntohs(unsigned short int netshort);

DESCRIPTION
The htonl() function converts the long integer hostlong from host byte order to network byte order.

The htons() function converts the short integer hostshort from host byte order to network byte order.

The ntohl() function converts the long integer netlong from network byte order to host byte order.

The ntohs() function converts the short integer netshort from network byte order to host byte order.

On the i80x86 the host byte order is Least Significant Byte first, whereas the network byte order, as used on the Internet, is Most Significant Byte first.

CONFORMING TO
BSD 4.3

SEE ALSO
gethostbyname(3), getservent(3)